Skip to main content

Create advertiser subaccount

POST 
/v1/subaccounts

Creates advertiser subaccount.
Specify the content type as application/json in your request.

OAuth scopeAccess token type
employer.advertising.subaccountAccess token without the employer parameter.

Request

Body

required

    email string

    Email for the subaccount.

    currencyCode string

    ISO 4217 currency code for the subaccount's campaign budgets and billing. Must match the root advertiser account's currency.

    language string

    Two-letter language code used for the subaccount.

    employeeCount string

    Number of employees. Valid values are: 1-49, 50-149, 150-249, 250-499, 500-749, 750-999, 1000+

    company string

    If you omit the company name, the company name of the master account is used and set as the company name for the newly created subaccount.

Responses

Created

Schema

    meta

    object

    Response-related metadata.

    status int32

    HTTP status code of the response.

    errors

    object[]

    Any errors that prevented successful processing of the request. If there were no errors, the value is null.

  • Array [

  • type string

    Name of the error.

    description string

    Human-readable description of the problem.

  • ]

  • rootLocation string

    Base URL of the Sponsored Jobs API.

    perPage int32

    For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.

    links

    object[]

    Resources related to the requested resource.

  • Array [

  • rel string

    The relationship between the requested resource and the related resource. These values are commonly used:

    • up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.
    • next: The next page of entries in a paginated result.
    • prev: The previous page of entries in a paginated result.

    However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.

    href string

    Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.

  • ]

  • data

    object

    id stringdeprecated

    Deprecated. Legacy employer ID. Use employerId instead.

    company string

    Name of the subaccount.

    email string

    Email for the subaccount.

    currencyCode string

    ISO 4217 currency code for the subaccount's campaign budgets and billing. Must match the root advertiser account's currency.

    employerId string
Loading...

Was this page helpful?